local function doFadeWipe(state)
  fadeWipe = celeste.FadeWipe(engine.Scene, state, nil)
  engine.Scene:Add(fadeWipe)
  fadeWipe.duration = 2
  fadeWipe.EndTimer = 1
end


function onBegin()

  if getFlag("enterredspace") then

    disablePause()
    player.ForceCameraUpdate = true
    doFadeWipe(true)
    wait(1.5)

    setFlag("enterredspace", false)
    setFlag("enddoor3")
    enableMovement()
    enablePause()

  end

end